const a = (e, t) => {
  const r = {
    numerator: 1,
    denominator: 1,
    error: Math.abs(e - 1)
  };
  t || (t = 1e4);
  for (let o = 1; r.error > 0 && o <= t; o++) {
    const n = Math.round(e * o), s = Math.abs(e - n / o);
    s >= r.error || (r.numerator = n, r.denominator = o, r.error = s);
  }
  return r;
};
export {
  a as galleryFindRational
};
